Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mime
[Groovy] Class MimeType

    java.lang.Object
      org.codehaus.groovy.grails.web.mime.MimeType

    class MimeType
    extends java.lang.Object

Authors:
  Graeme Rocher

Since:
  1.0

Field Summary
`static java.lang.String` | `BEAN_NAME` The bean name used to store the mime type definitions

Property Summary
`static java.lang.Object` | `XML`
`java.lang.String` | `extension`
`java.lang.String` | `name`
`java.util.Map` | `parameters`

Constructor Summary
`MimeType(java.lang.String n, java.util.Map params = [:])`

Method Summary
`static MimeType[]` | `createDefaults()` Creates the default MimeType configuration if none exists in Config.groovy
`boolean` | `equals(java.lang.Object o)`
`static MimeType[]` | `getConfiguredMimeTypes()` @return An array of MimeTypes
`int` | `hashCode()`
`static java.lang.Object` | `reset()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### BEAN_NAME

    public static final java.lang.String BEAN_NAME

  The bean name used to store the mime type definitions

Property Detail

### XML

    static final java.lang.Object XML

### extension

    java.lang.String extension

### name

    java.lang.String name

### parameters

    java.util.Map parameters

Constructor Detail

### MimeType

    MimeType(java.lang.String n, java.util.Map params = [:])

Method Detail

### createDefaults

    static MimeType[] createDefaults()

  Creates the default MimeType configuration if none exists in Config.groovy

### equals

    boolean equals(java.lang.Object o)

### getConfiguredMimeTypes

    static MimeType[] getConfiguredMimeTypes()

  Returns:
    An array of MimeTypes

### hashCode

    int hashCode()

### reset

    static java.lang.Object reset()

### toString

    java.lang.String toString()

Groovy Documentation